Hatena::ブログ(Diary)

leftovers... このページをアンテナに追加 RSSフィード

2013-11-21

Grails 2.3.3 リリース!!!

Grails 2.3.3 リリースです!!

バグフィックスです!

今回も注意点

アップグレードする場合は、Tomacatプラグインbuild ':tomcat:7.0.47'に、Hibernate プラグインのバージョンを 3.6.10.4 しましょう!

build ':tomcat:7.0.47'
runtime ':hibernate:3.6.10.4'

Hibernate 4の場合は 4.1.11.4です。


以下のメジャープラグイン達のドキュメントも注意点など若干更新されています。

http://grails.org/plugin/tomcat

http://grails.org/plugin/hibernate4

http://grails.org/plugin/scaffolding



先週リリースされた、mongodbプラグインは、2.3系でしか動かないというか、2.3.2でも動かないという。。。2.3.3ではFixされるん?されたん?

依存関係の問題らしいですね。

http://grails.1312388.n4.nabble.com/Upgrade-from-MongoDB-plugin-1-3-0-to-1-3-1-compile-error-td4651482.html

ちなみに、2.3系でしか動かないのは、プラグインを作成するときに、BuildConfigの依存管理設定で、

grails.project.dependency.resolver = "maven" // or ivy

これが"maven"になっていると、プラグインにパックされるdependencies.groovyが生成されないのです。

だってmavenだったらpomが生成されるからね。

他のプラグインも同じだから、プラグイン作者の方々や、プラグイン駆動で開発している場合は下位互換気をつけましょう!



そんなこんなで。

Grails 2.3.3 の公式リリースノートはこちら。

http://grails.org/2.3.3+Release+Notes

JIRA http://jira.grails.org/secure/ReleaseNote.jspa?projectId=10020&version=13521

ダウンロード http://grails.org/Download

直リン grails-2.3.3.zip

ドキュメント http://grails.org/doc/2.3.x/

Whats New 2.3

Grails 2.3の新機能(意訳版)

Grails 2.3の細かい話はこちらも参照してください。

Grails 2.3.0 リリース!きた! - leftovers...

Grails 2.3 新時代への幕開け。


次のリリースは、また2週間後です!!

スパム対策のためのダミーです。もし見えても何も入力しないでください
ゲスト


画像認証

トラックバック - http://d.hatena.ne.jp/mottsnite/20131121/1385049474